#include "builder.hpp"
#include <fmt/core.h>

int main(int argc, char *argv[])
{
    if(argc != 3) {
      fmt::println("USAGE: watchgit PATH BUILD_CMD");
      return 1;
    } else {
      const char *git_path = argv[1];
      const char *build_cmd = argv[2];

      GUI gui;
      GameEngine game{100};

      auto builder = Builder(gui, game);
      builder.run(git_path, build_cmd);

      return 1;
    }
}
